Ankündigung

Einklappen
Keine Ankündigung bisher.

Debian 11 bullseye + SmartHomeNG 1.8.2 und 1.9

Einklappen
Das ist ein wichtiges Thema.
X
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Hochpass
    antwortet

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    In Planung ist ein 11.1.9.1
    Dann sind gleich mehrere Fixes, auch smartvisu mit drin.

    Einen Kommentar schreiben:


  • Hochpass
    antwortet
    Traue mich fast gar nicht zu fragen. Muss aber ein neues System aufsetzten. Ist ein 11.1.9.0 in Planung?
    Bisher war das für mich das idiotensicherste.

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    Soda, hab nun doch das neue Image auf bullseye Basis hochgeladen. Viel Spaß beim Testen. Sollte was auffallen, bitte gerne melden - Fixes vom Image gibt es dann halt mit dem Release von SHNG 1.9

    https://github.com/smarthomeNG/raspb...s/tag/11.1.8.2

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    Laut https://www.piwheels.org/project/pyjq/ müsste eigentlich das req für jsonread schon klappen?
    Anyhow, seit ein paar Tagen gibt es nun das neue offizielle Raspi Image auf bullseye Basis. Mal sehen, wie viel Spaß das Neuaufsetzen des SHNG Images macht
    Für ein offizielles Release ist es wohl eh nicht vernünftig, da sollte ich wohl aufs finale shng Release warten, das mit Python 3.9 getestet wurde.

    Einen Kommentar schreiben:


  • Bear80
    antwortet
    Zitat von Sipple Beitrag anzeigen
    Glückwunsch und danke für die Hinweise. Kannst du noch ergänzen auf welcher Plattform dein Server läuft?
    Erledigt :-)

    Einen Kommentar schreiben:


  • Sipple
    antwortet
    Glückwunsch und danke für die Hinweise. Kannst du noch ergänzen auf welcher Plattform dein Server läuft?

    Einen Kommentar schreiben:


  • Bear80
    antwortet
    Seit heute läuft Debian 11 Bullseye auf meinem smarthomeng Server mit Python 3.9.2. Nach dem Upgrade musste ich die pip Pakete neu installieren. Klappte größtenteils wie in der Anleitung angegeben über die requirements.txt. Lediglich beim Plugin uzsu wird dort auf max. Python 3.7 begrenzt. scipy wurde so nicht installiert. Manuell nachinstalliert und schon läufts...
    Kann alles in allem nicht klagen. Läuft auch unter Bullseye bis jetzt sauber...

    Hardware: Beelink T4, Intel Atom X5-Z8500, 4GB RAM, 64GB SSD
    Zuletzt geändert von Bear80; 25.08.2021, 20:33.

    Einen Kommentar schreiben:


  • bmx
    hat ein Thema erstellt Debian 11 bullseye + SmartHomeNG 1.8.2 und 1.9.

    Debian 11 bullseye + SmartHomeNG 1.8.2 und 1.9

    Es ist am 14.08.2021 Debian 11 bullseye freigegeben worden.
    Die Komplettanleitung ist noch nicht aktualisiert worden und SmartHomeNG wird also nicht out of the box laufen.
    Für SmartHomeNG 1.9 wird die Komplettanleitung entsprechend angepasst werden.

    Insofern wird Neulingen davon abgeraten aktuell mit bullseye zu arbeiten. Wer es trotzdem macht betritt also ggf. Neuland und braucht sich nicht wundern, wenn was nicht funktioniert.

    Erfahrungen (positive wie negative) können in diesem Thread gerne geteilt werden...

    Aktuell gibt es bekannte Inkompatibilitäten mit:
    • python-openzwave für Plugin ZWave, aktuell kein Fix in Sicht für Python 3.9
    • pyjq für Plugin jsonread, es kann kein wheel für Python 3.9 gebaut werden. vorläufiger Fix: sudo apt install dh-autoreconf
    • UZSU Plugin benötigt eine Erweiterung der requirements.txt um scipy;python_version>='3.9' sonst wird scipy gar nicht installiert
    Dieser Thread wird bis zum Erscheinen der nächsten Release von SmartHomeNG hier mit neuen Erkenntnissen erweitert.
    Zuletzt geändert von bmx; 01.01.2022, 08:18.
Lädt...
X